Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 417019 - www-client/chromium-9999-r1: nacl toolchain path inconsistencies
Summary: www-client/chromium-9999-r1: nacl toolchain path inconsistencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL: https://groups.google.com/a/chromium....
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-22 07:36 UTC by Julien Sanchez
Modified: 2012-05-27 14:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log.gz,19.63 KB, application/x-gzip)
2012-05-22 07:36 UTC, Julien Sanchez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Sanchez archtester 2012-05-22 07:36:20 UTC
Created attachment 312625 [details]
Build log

It seems sometimes nacl compiler is called either with native_client/toolchain/linux_x86_newlib/x86_64-nacl/bin/gcc or native_client/toolchain/linux_x86/x86_64-nacl/bin/gcc paths.

If unchanged, chromium-9999-r1 ebuild fails with (see also attached build log):

../../../../native_client/toolchain/linux_x86/x86_64-nacl/bin/gcc -c invoke.c -o /var/tmp/portage/www-client/chromium-9999-r1/work/chromium-9999/out/Release/obj.target/srpc_lib/geni/glibc-x86-64/srpc_lib/invoke.o -std=gnu99 -m64 -O3 -fomit-frame-pointer -mtls-use-call -D__linux__ -D__STDC_LIMIT_MACROS=1 -D__STDC_FORMAT_MACROS=1 -D_GNU_SOURCE=1 -D_BSD_SOURCE=1 -D_POSIX_C_SOURCE=199506 -D_XOPEN_SOURCE=600 -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DDYNAMIC_ANNOTATIONS_PREFIX=NACL_ -DNACL_BUILD_ARCH=x86 -DNACL_BUILD_SUBARCH=64 -I/var/tmp/portage/www-client/chromium-9999-r1/work/chromium-9999/out/Release/obj/gen/tc_glibc/include -I../../../.. -I../../../../ppapi -I../../../.. -I../../../../ppapi
FAILED: [Errno 2] No such file or directory

If I update the ebuild like this:

--- a/www-client/chromium/chromium-9999-r1.ebuild
+++ b/www-client/chromium/chromium-9999-r1.ebuild
@@ -156,7 +156,7 @@ pkg_setup() {
 
 src_prepare() {
        ln -s /usr/$(get_libdir)/nacl-toolchain-newlib \
-               native_client/toolchain/linux_x86_newlib || die
+               native_client/toolchain/linux_x86 || die
 
        # zlib-1.2.5.1-r1 renames the OF macro in zconf.h, bug 383371.
        sed -i '1i#define OF(x) x' \

it goes further but fails later with:

../native_client/toolchain/linux_x86_newlib/x86_64-nacl/bin/gcc -c src/untrusted/stubs/crti_x86_64.S -o /var/tmp/portage/www-client/chromium-9999-r1/work/chromium-9999/out/Release/obj/gen/tc_newlib/lib64/crti.o -std=gnu99 -m64 -O3 -fomit-frame-pointer -mtls-use-call -D__linux__ -D__STDC_LIMIT_MACROS=1 -D__STDC_FORMAT_MACROS=1 -D_GNU_SOURCE=1 -D_BSD_SOURCE=1 -D_POSIX_C_SOURCE=199506 -D_XOPEN_SOURCE=600 -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DDYNAMIC_ANNOTATIONS_PREFIX=NACL_ -DNACL_BUILD_ARCH=x86 -DNACL_BUILD_SUBARCH=64 -I/var/tmp/portage/www-client/chromium-9999-r1/work/chromium-9999/out/Release/obj/gen/tc_newlib/include -I.. -I../ppapi -I.. -I../ppapi
FAILED: [Errno 2] No such file or directory


It could be solved by linking both paths but I'm not sure if it is the real cause and if it could be better solved upstream (I don't think I'm able to do it).
Comment 1 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-22 11:59:43 UTC
I think it's newlib toolchain and glibc toolchain, see chromium/src/native_client/tools.gyp .

I'm going to ask upstream before making a change that is not fully understood and only happens to work.
Comment 2 Charles Svitlik 2012-05-22 15:11:41 UTC
Also having this problem. Same errors. Thanks for reporting it.

Portage 2.1.10.62 (hardened/linux/amd64/no-multilib, gcc-4.6.3, glibc-2.15-r2, 3.4.0-rc6 x86_64)
=================================================================
System uname: Linux-3.4.0-rc6-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-2.1
Timestamp of tree: Tue, 22 May 2012 13:30:01 +0000
app-shells/bash:          4.2_p28
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          9999
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.1
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo Bedroom-Local
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs candy config-protect-if-modified distlocks ebuild-locks fail-clean fakeroot fixlafiles news notitles parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j12"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/mnt/Storage/portage"
PORTDIR_OVERLAY="/mnt/Storage/charles/Overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X acl alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cjk cli consolekit corefonts cracklib crypt cups curl cxx dbus directfb dri exif fbcon ffmpeg fftw flac fontconfig fuse gdbm gdu gif gmp gnome-keyring gstreamer gtk gtk3 hardened iconv icu id3 id3tag imagemagick imlib inotify ipv6 jack java jit joystick jpeg justify libcaca libnotify mad mmx modules mp3 mudflap ncurses nls nptl nsplugin nss opengl openmp pam pax_kernel pcre pdf png policykit pppd pulseaudio python readline samba sdl session smp sndfile spell sqlite sqlite3 sse sse2 sse3 sse4a ssl startup-notification svg syslog tcpd theora threads tiff truetype type1 udev unicode urandom vim vim-pager vim-syntax webgl webkit wxwidgets x264 xcb xft xinerama xorg xv zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-27 14:58:13 UTC
Fixed in >=chromium-21.0.1145.0-r1.